| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Private Attributes | List of all members
PythonAdaptor Class Reference

`#include <src/JobOptionsSvc/PythonConfig.h>`

Collaboration diagram for PythonAdaptor:
[legend]

## Public Member Functions
| PythonAdaptor (IJobOptionsSvc *jos)
void | addPropertyToJobOptions (const std::string &client, const std::string &name, const std::string &value)

## Private Attributes
SmartIF< IJobOptionsSvc > | m_IJobOptionsSvc

## Detailed Description

Definition at line 11 of file PythonConfig.h.

## Constructor & Destructor Documentation

## ◆ PythonAdaptor()

PythonAdaptor::PythonAdaptor | ( | IJobOptionsSvc * | jos | ) |
| inline

Definition at line 13 of file PythonConfig.h.

13 : m_IJobOptionsSvc( jos ) {}
PythonAdaptor::m_IJobOptionsSvc
SmartIF< IJobOptionsSvc > m_IJobOptionsSvc
Definition: PythonConfig.h:19

## Member Function Documentation

## ◆ addPropertyToJobOptions()

void PythonAdaptor::addPropertyToJobOptions | ( | const std::string & | client,
|  | const std::string & | name,
|  | const std::string & | value
| ) |  |
| inline

Definition at line 14 of file PythonConfig.h.

14 {
15 m_IJobOptionsSvc->addPropertyToCatalogue( client, Gaudi::Property<std::string>( name, value ) );
16 }
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
Gaudi::Property
Implementation of property with value of concrete type.
Definition: Property.h:352
IJobOptionsSvc::addPropertyToCatalogue
virtual StatusCode addPropertyToCatalogue(const std::string &client, const Gaudi::Details::PropertyBase &property)=0
Add a property into the JobOptions catalog.
PythonAdaptor::m_IJobOptionsSvc
SmartIF< IJobOptionsSvc > m_IJobOptionsSvc
Definition: PythonConfig.h:19

## Member Data Documentation

## ◆ m_IJobOptionsSvc

SmartIF<IJobOptionsSvc> PythonAdaptor::m_IJobOptionsSvc
| private

Definition at line 19 of file PythonConfig.h.

The documentation for this class was generated from the following file:

- GaudiCoreSvc/src/JobOptionsSvc/PythonConfig.h